Package: groovy.transform

## [Java] Enum AutoCloneStyle

- groovy.transform.AutoCloneStyle

- Intended style to use for cloning when using the `@`AutoClone annotation.

  Authors:
    Paul King
  Since:
    1.8.0
  See Also:
    AutoClone

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `CLONE` |
    `COPY_CONSTRUCTOR` |
    `SERIALIZATION` |
    `SIMPLE` |

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `name, equals, toString, hashCode, compareTo, compareTo, valueOf, getDeclaringClass, ordinal, wait, wait, wait, getClass, notify, notifyAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### AutoCloneStyle CLONE

    - #### AutoCloneStyle COPY_CONSTRUCTOR

    - #### AutoCloneStyle SERIALIZATION

    - #### AutoCloneStyle SIMPLE